コンテンツへスキップ

Bria Text-to-Image Base

統合

モデルID bria/text-to-image/base
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/text-to-image/base?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.16 160 APIクレジット · ≈ ₽16.75 このページで実行

APIキーを取得
Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を指示するテキストプロンプト。

aspect_ratio デフォルト 1:1

ガイダンスなしで生成する場合の出力アスペクト比。ガイダンス方式を使用すると、ガイダンス画像から比率を取得してこの設定を無視します。

num_images デフォルト 4

要求する画像数。ガイダンス方式を使用すると常に1に上書きされます。

詳細設定 negative_prompt · medium · num_inference_steps · guidance_scale · seed · prompt_enhancement · guidance
デフォルト

画像生成用のネガティブテキストプロンプト。

medium

生成画像に使用する媒体。自動選択にするには未設定またはnullにします。

デフォルト 30

出力画像を調整するために使用するモデル反復回数の任意指定。

デフォルト 5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

デフォルト []

生成ガイダンス画像。1回の推論で組み合わせ可能な方式とともに指定し、最大4方式までです。

POST /run/bria/text-to-image/base?wait=20 見積もり → $0.16
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/text-to-image/base?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bria Text-to-Image Baseについて

`prompt` から画像を生成します。`aspect_ratio` は 1:1〜16:9、1 リクエストあたりの画像数は 1〜4(デフォルト 4)です。`negative_prompt`、0〜20 の `guidance_scale`、20〜50 の `num_inference_steps`、任意の `prompt_enhancement` を制御できます。`medium` は photography または art で、`guidance` では最大 4 枚のガイダンス画像を組み合わせられます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を指示するテキストプロンプト。
negative_prompt任意
型string
デフォルト
画像生成用のネガティブテキストプロンプト。
num_images任意 num_outputs
型integer
デフォルト4
1 – 4
要求する画像数。ガイダンス方式を使用すると常に1に上書きされます。
aspect_ratio任意
型enum
デフォルト1:1
1:12:33:23:44:34:55:49:1616:9
ガイダンスなしで生成する場合の出力アスペクト比。ガイダンス方式を使用すると、ガイダンス画像から比率を取得してこの設定を無視します。
seed任意
型integer | null
0 – 2,147,483,647
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
num_inference_steps任意
型integer
デフォルト30
20 – 50
出力画像を調整するために使用するモデル反復回数の任意指定。
guidance_scale任意
型number
デフォルト5
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
prompt_enhancement任意
型boolean
デフォルトfalse
プロンプト拡張スイッチ。trueでは指定プロンプトを豊富な説明を含む追加バリエーションに拡張し、より多様で創造的な画像を生成します。
medium任意
型enum
photographyart
生成画像に使用する媒体。自動選択にするには未設定またはnullにします。
guidance任意
型object[]
デフォルト[]
生成ガイダンス画像。1回の推論で組み合わせ可能な方式とともに指定し、最大4方式までです。
guidance[].image_url必須
型url · image
guidance_method_1で指定した方式用のBase64エンコード済みガイダンス画像。guidance_method_1を選択した場合は必須です。対応形式: jpeg、jpg、png、webp。最大サイズは12 MBです。ガイダンス方式を組み合わせる場合、すべてのガイダンス画像でアスペクト比を統一する必要があり、それが出力アスペクト比も決定します。
guidance[].method任意
型enum
controlnet_cannycontrolnet_depthcontrolnet_recoloringcontrolnet_color_grid
生成に使用する任意のガイダンス種別。1回の推論で最大4方式を組み合わせられます。
guidance[].scale任意
型number
デフォルト1
0 – 1
ガイダンス効果の強度。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/text-to-image/base",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 160,
    "usd": "0.16",
    "charged": 160,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
seed
integer生成時に適用するシード。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/text-to-image/base.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt